#ifndef NODEEDGE_HPP
#define NODEEDGE_HPP

#include <vector>
#include <iostream>

struct edge {
        int index;
        int weight;
};

struct simple_node {
  long start, end;
  short chr;
};

struct node {
  std::vector<int>* origNodes;
  std::vector<edge*>* edges;
};

struct graphPartition {
  std::vector<int>* part1;
  std::vector<int>* part2;
  int cutscore;
};

std::vector< simple_node*>* readnodes(char* nodefile);
std::vector< std::vector<edge*>* >* readedges(char* edgefile);
std::vector< std::vector<int>* >* readccs(char* filename);
void displaynodes(std::vector< std::vector<edge*>* >* nodes, std::ostream& of);


#endif
