#ifndef GRAPH_NODE_HPP
#define GRAPH_NODE_HPP

#include "bzTag.hpp"
#include <vector>
#include <list>

struct edge {
  int node_index, score;
  vector<bzTag*>* tags;
};

struct node {
  list<bzTag*>* tags;
  list<edge*>* edges;
  long start, end;
  int parent;
  short chr;
  char  visited;
};

struct cut_edge {  
  int node1, node2;  
}; 

#endif
