/////////////////////////////////////////////////////////////
//                                                         //
// splitDupRepeat.hpp -- this file contains structure      //
//           definition and interface of ANTI-EXCESS       //
// ver 1.01                                                //  
//                                                         //   
// Language: standard C++                                  // 
// Platform: Linux Debian                                  //
// Contact:  Minmei Hou, PhD Candidate                     //  
//           CSE Dept., Penn State University              //
//           mhou@cse.psu.edu                              //    
/////////////////////////////////////////////////////////////


#include <vector>
#include <fstream>
#include "bzTag.hpp"

struct eventDot{
  long pos;
  char event;  // b or e
};

vector<bzTag*>* splitDupRepeat(vector<bzTag*>* alltags, ofstream& ofdup, ofstream& ofrep);
bool compar_eventDot(eventDot *a, eventDot *b);
